Energia

Stream

## parseInt()

#### Description

parseInt() returns the first valid (long) integer number from the current position. Initial characters that are not integers (or the minus sign) are skipped. parseInt() is terminated by the first character that is not a digit.

This function is part of the Stream class, and is called by any class that inherits from it (Wire, Serial, etc). See the Stream class main page for more information.

#### Syntax

stream.parseInt(list)

#### Parameters

stream : an instance of a class that inherits from Stream.
list : the stream to check for ints (char)

#### Returns

int

#### See also

- Stream()

Reference Home

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes